Skip to main content
GET
List Postgres slow query patterns
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Returns aggregate metrics for the slowest query patterns observed on a Postgres service during the given time window. Use this to discover which queries dominate total execution time, CPU, I/O, or WAL generation.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Query Parameters

from_date
string<date-time>
required

Inclusive start of the time window (RFC 3339 date-time).

to_date
string<date-time>
required

Exclusive end of the time window (RFC 3339 date-time).

db_name
string

Database name filter.

db_user
string

Database user filter.

db_operation
string

Database operation filter (for example, SELECT, INSERT, UPDATE, DELETE, UTILITY).

app
string

Application name filter.

sort_by
enum<string>
default:total_duration

Field to sort results by.

Available options:
total_duration,
avg_duration,
call_count,
total_blks_read,
total_cpu_time,
error_count,
max_duration,
p50_duration,
p95_duration,
p99_duration,
total_rows,
total_shared_blks_hit,
total_wal_bytes
sort_order
enum<string>
default:desc

Sort order. One of asc or desc.

Available options:
asc,
desc
limit
integer
default:20

Maximum number of results to return.

Required range: 1 <= x <= 500
offset
integer
default:0

Number of results to skip before returning.

Required range: x >= 0

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]
Last modified on July 9, 2026